mbedtls_ssl_cache_entry Struct Reference

This structure is used for storing cache entries. More...

`#include <ssl_cache.h>`

Collaboration diagram for mbedtls_ssl_cache_entry:
[legend]

## Data Fields

mbedtls_time_t | timestamp
mbedtls_ssl_session | session
mbedtls_x509_buf | peer_cert
mbedtls_ssl_cache_entry * | next

## Detailed Description

This structure is used for storing cache entries.

Definition at line 67 of file ssl_cache.h.

## Field Documentation

## next

mbedtls_ssl_cache_entry* mbedtls_ssl_cache_entry::next

chain pointer

Definition at line 76 of file ssl_cache.h.

## peer_cert

mbedtls_x509_buf mbedtls_ssl_cache_entry::peer_cert

entry peer_cert

Definition at line 74 of file ssl_cache.h.

## session

mbedtls_ssl_session mbedtls_ssl_cache_entry::session

entry session

Definition at line 72 of file ssl_cache.h.

## timestamp

mbedtls_time_t mbedtls_ssl_cache_entry::timestamp

entry timestamp

Definition at line 70 of file ssl_cache.h.

The documentation for this struct was generated from the following file:

- ssl_cache.h